/*
Theme Name:     Twentytwentyfive-child
Theme URI:      
Description:    Twentytwentyfive child theme.
Author:         Me
Author URI:     
Template:       twentytwentyfive
Version:        0.1.0
*/

/* GENERIC */
.wp-site-blocks {
	display: grid;
	min-height: 100vh;
	grid-template-rows: auto 1fr auto;
}

:root :where(.wp-block-quote) {
	font-style: italic;
	color: var(--wp--preset--color--secondary);
	border: none;
	border-radius: 0.5rem;
	background: var(--wp--preset--color--bg-secondary);
}

figure img {
	object-fit: contain;
}

body .is-layout-grid {
	max-width: min(var(--wp--style--global--content-size), 100%);
}

.text-nowrap{
	white-space: nowrap;
	text-wrap: nowrap !important;
}

.wpcf7-form input[type="text"],
.wpcf7-form input[type="number"],
.wpcf7-form input[type="email"],
.wpcf7-form input[type="tel"],
.wpcf7-form textarea {
	width: 100%;
	padding: 0.5rem 1rem;
	border: none;
	border-radius: 0.25rem;
	background: white;
	box-shadow: 0px 1px 5px hsl(39.43deg 59.32% 11.57% / 27.84%);
	appearance: none;
}

.wpcf7-form input[type="submit"] {
	padding: 0.5rem 1rem;
	color: white;
	border: none;
	border-radius: 99rem;
	background: var(--wp--preset--color--primary);
	box-shadow: none;
}

/* UTILS */
.fading-bottom {
	position: relative;
}

.fading-bottom:after {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 25%;
	content: "";
	background: linear-gradient(0, var(--wp--preset--color--base), transparent);
}

.grid-cols-auto {
	max-width: 100% !important;
	grid-template-columns: repeat(auto-fit, minmax(min(16rem, 100%), 1fr));
}

/* MENU - MAIN */
header .wp-block-navigation-item.has-child.wp-block-navigation-submenu {
	padding: 1rem 0;
}

.wp-block-navigation .has-child .wp-block-navigation__submenu-container {
	overflow: hidden !important;
	color: var(--wp--preset--color--primary);
	border-color: var(--wp--preset--color--primary);
	border-radius: 0.5rem;
	background: var(--wp--preset--color--base);
}

/* PAGE - HOME */
.home .home-hero {
	margin: 0;
}

.home .home-hero img {
	width: 100%;
}

/* Testimonials - HOME */

.home-testimonials * {
	box-sizing: border-box;
	margin: 0;
}

.home-testimonials > div > div {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(min(100%, 300px), 1fr));
	gap: 1rem;
}

.home-testimonials .wpmtst-testimonial-inner {
	display: flex !important;
	flex-direction: column;
	padding: 1rem;
	border-radius: 0.5rem;
	background: var(--wp--preset--color--base);
}

.home-testimonials .wpmtst-testimonial-field {
	order: 1;
}

.home-testimonials .wpmtst-testimonial-field .star {
	padding-right: 0.25rem;
	padding-bottom: 0.5rem;
}

.home-testimonials .wpmtst-testimonial-field .star svg path {
	fill: var(--wp--preset--color--golden);
}

.home-testimonials .wpmtst-testimonial-content {
	order: 2;
}

.home-testimonials .wpmtst-testimonial-content p:before {
	content: '« ';
}

.home-testimonials .wpmtst-testimonial-content p:after {
	content: ' »';
}

.home-testimonials .wpmtst-testimonial-field.testimonial-name {
	font-size: 0.8rem;
	font-weight: bold;
	display: flex;
	align-items: center;
	order: 3;
	margin-top: auto;
	padding-top: 1rem;
	gap: 1rem;
}

.home-testimonials .wpmtst-testimonial-field.testimonial-name:before {
	display: inline-block;
	width: 2rem;
	height: 2rem;
	content: "";
	border-radius: 999rem;
}

.home-testimonials .wpmtst-testimonial:nth-child(1) .wpmtst-testimonial-field.testimonial-name:before {
	background: hsl(calc(0), 25%, 90%);
}

.home-testimonials .wpmtst-testimonial:nth-child(2) .wpmtst-testimonial-field.testimonial-name:before {
	background: hsl(calc(100), 25%, 90%);
}

.home-testimonials .wpmtst-testimonial:nth-child(3) .wpmtst-testimonial-field.testimonial-name:before {
	background: hsl(calc(200), 25%, 90%);
}

/* TESTIMONIALS - FORM */

.wpmtst-form * {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}
.wpmtst-form .required.symbol:after {
	padding: 0 0.25rem;
	content: "*";
	color: indianred;
}

.wpmtst-form .form-field:not(:last-child) {
	margin-bottom: 1rem;
}

.wpmtst-form label {
	font-weight: bold;
}
.wpmtst-form .star svg path {
	fill: var(--wp--preset--color--golden);
}

.wpmtst-form input[type="text"],
.wpmtst-form input[type="number"],
.wpmtst-form input[type="email"],
.wpmtst-form input[type="tel"],
.wpmtst-form textarea {
	width: 100%;
	padding: 0.5rem 1rem;
	border: none;
	border-radius: 0.25rem;
	background: white;
	box-shadow: 0px 1px 5px hsl(39.43deg 59.32% 11.57% / 27.84%);
	appearance: none;
}

.wpmtst-form input[type="submit"] {
	padding: 0.5rem 1rem;
	color: white;
	border: none;
	border-radius: 99rem;
	background: var(--wp--preset--color--primary);
	box-shadow: none;
}
